Subject: Re: [PATCH] mpc832x_rdb: fix swapped ethernet ids

From: Michael Barkowski <[email-masked]>
Date: Mon, 17 Nov 2008 11:28:52 -0500

David Gibson wrote:
> On Fri, Nov 14, 2008 at 10:16:19AM -0500, Michael Barkowski wrote:
>> David Gibson wrote:
>>> On Thu, Nov 13, 2008 at 10:18:28AM -0500, Michael Barkowski wrote:
>>>> ethernet0 (called FSL UEC0 in U-Boot) should be enet1 (UCC3/eth1), and
>>>> ethernet1 should be enet0 (UCC2/eth0), to be consistent with U-Boot so
>>>> that the interfaces do not swap addresses when control passes from
>>>> U-Boot to the kernel.
>>> Um.. why is just swapping the aliases, rather than the enet labels the
>>> right approach here?
>> Kim suggested it was better to localize the port ordering as a
>> property of the board rather than that of the QE, and I agreed.
> 
> And the enet0/enet1 names that appear in the labels come from the QE
> documentation?
> 
No.. but don't you think the UCC2, UCC3 names, which *do* come from the QE documentation, should match their labels in numeric ordering?
Aren't the aliases just machine-specific shortcuts for the bootloader?

-- 
Michael